Skip to main content
GET
/
open-api
/
v1.0
/
memberships
/
members
/
{id}
Get member
curl --request GET \
  --url https://api.fourthwall.com/open-api/v1.0/memberships/members/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "email": "supporter@fourthwall.com",
  "nickname": "<string>",
  "createdAt": "2020-08-13T09:05:36.939Z",
  "subscription": {
    "type": "<string>",
    "variant": {
      "id": "<string>",
      "tierId": "<string>",
      "interval": "ANNUAL",
      "amount": {
        "value": 10,
        "currency": "USD"
      },
      "offerId": "<string>"
    }
  }
}
OAuth scope: memberships_readAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

Response

OK

id
string
required
email
string
required
Example:

"supporter@fourthwall.com"

nickname
string
required
createdAt
string<date-time>
required
Example:

"2020-08-13T09:05:36.939Z"

subscription
Active · object
required